<?php

/**
* MyBB Plugin:  Portal Tab
* -------------------------------------------------------------------------------------------
* http://community.mybboard.net
* -------------------------------------------------------------------------------------------
* Author : Babjusi 
* http://community.mybboard.net
**/
if(!defined("IN_MYBB"))
{
	die("Direct initialization of this file is not allowed.<br /><br />Please make sure IN_MYBB is defined.");
}
$plugins->add_hook("global_start", "portaltab");


function portaltab_info()
{
	return array(
		"name"			=> "Portal Tab",
		"description"	=> "It will add a Portal Tab link at the navigation bar",
		"website"		=> "http://community.mybboard.net/",
		"version"		=> "1.0",
		"author"		=> "babjusi",
		"authorsite"	=> "http://community.mybboard.net",
		"compatibility"  => "14*",
		'guid'        => '1ee6c3a2c6623214bb9a3c5d44177706'
	);
}
function portaltab_activate()
{
	global $db;
	
$settings_group = array(
		'name' => 'portaltab',
		'title' => 'Portal Tab',
		'description' => 'Here you can enable and disable the Portal Tab!',
		'disporder' => '1',
		'isdefault' => 'no'
	);
	$db->insert_query('settinggroups',$settings_group);
	$gid = $db->insert_id();
	
	$setting = array(
		'name' => 'enableportaltab',
		'title' => 'Portal Tab',
		'description' => 'If enabled, it will show a link to the portal at the navigation bar.',
		'optionscode' => 'yesno',
		'value' => '0',
		'disporder' => '2',
		'gid' => intval($gid)
	);
	$db->insert_query('settings',$setting);
	
require MYBB_ROOT."/inc/adminfunctions_templates.php";
find_replace_templatesets("header", '#'.preg_quote('<ul>').'#', '<ul>{$portaltab}');
rebuild_settings();
}

function portaltab_deactivate()
{
	global $db;

$db->query("DELETE FROM ".TABLE_PREFIX."settinggroups WHERE name='portaltab'");
$db->query("DELETE FROM ".TABLE_PREFIX."settings WHERE name='enableportaltab'");	
	
	
include MYBB_ROOT."/inc/adminfunctions_templates.php";
find_replace_templatesets("header", '#'.preg_quote('{$portaltab}').'#', '', 0);
rebuild_settings();
}
	

function portaltab()	
{
global $mybb, $header, $portaltab, $settings;	

	
if($mybb->settings['enableportaltab'] == 1)
{
$portaltab = '<li><a href="portal.php">Portal</a></li>';
}

}
	

?>